### Function

# Fwupd checksum_format_for_display

#### Declaration [src]

    gchar*
    fwupd_checksum_format_for_display (
      const gchar* checksum
    )

#### Description [src]

Formats a checksum for display.

Available since: | 0.9.3

#### Parameters

`checksum` | `const gchar*`
| A checksum.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `gchar*`
| Text, or `NULL` for invalid.
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The value is a NUL terminated UTF-8 string.